From: =?utf-8?q?Alexis_Bienven=C3=BCe?= <pado@passoire.fr>
Date: Sat, 7 Sep 2019 23:22:34 +0200
Subject: Sort object files

Sort *.o files when merging, to get reproducible build.
Remove lib directory from compilation and add LDFLAGS
---
 Makefile     | 16 ++++++++--------
 src/Makefile |  4 ++--
 2 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/Makefile b/Makefile
index 06cf0f1..744265d 100644
--- a/Makefile
+++ b/Makefile
@@ -94,12 +94,12 @@ TAR_SRCS+=gspiceui-$(TAR_VER)/html/Makefile
 TAR_SRCS+=gspiceui-$(TAR_VER)/html/*.html
 TAR_SRCS+=gspiceui-$(TAR_VER)/html/*.png
 TAR_SRCS+=gspiceui-$(TAR_VER)/html/*.jpg
-TAR_SRCS+=gspiceui-$(TAR_VER)/sch/Makefile
-TAR_SRCS+=gspiceui-$(TAR_VER)/sch/*/*.sch
-TAR_SRCS+=gspiceui-$(TAR_VER)/lib/Makefile
-TAR_SRCS+=gspiceui-$(TAR_VER)/lib/models/*.ckt
-TAR_SRCS+=gspiceui-$(TAR_VER)/lib/models/*.mod
-TAR_SRCS+=gspiceui-$(TAR_VER)/lib/symbols/*
+#TAR_SRCS+=gspiceui-$(TAR_VER)/sch/Makefile
+#TAR_SRCS+=gspiceui-$(TAR_VER)/sch/*/*.sch
+#TAR_SRCS+=gspiceui-$(TAR_VER)/lib/Makefile
+#TAR_SRCS+=gspiceui-$(TAR_VER)/lib/models/*.ckt
+#TAR_SRCS+=gspiceui-$(TAR_VER)/lib/models/*.mod
+#TAR_SRCS+=gspiceui-$(TAR_VER)/lib/symbols/*
 TAR_SRCS+=gspiceui-$(TAR_VER)/mac/Info.plist
 TAR_SRCS+=gspiceui-$(TAR_VER)/mac/GSpiceUI.icns
 TAR_SRCS+=gspiceui-$(TAR_VER)/svg/Makefile
@@ -128,7 +128,7 @@ install :
 	cd $(ROOT)/src  ; $(MAKE) install DESTDIR=$(DESTDIR)
 	cd $(ROOT)/html ; $(MAKE) install DESTDIR=$(DESTDIR)
 	cd $(ROOT)/sch  ; $(MAKE) install DESTDIR=$(DESTDIR)
-	cd $(ROOT)/lib  ; $(MAKE) install DESTDIR=$(DESTDIR)
+#	cd $(ROOT)/lib  ; $(MAKE) install DESTDIR=$(DESTDIR)
 
 #***************************************************************************************************
 # Perform uninstall tasks
@@ -154,7 +154,7 @@ clean :
 	cd $(ROOT)/src  ; $(MAKE) cleanall
 	cd $(ROOT)/html ; $(MAKE) clean
 	cd $(ROOT)/sch  ; $(MAKE) clean
-	cd $(ROOT)/lib  ; $(MAKE) clean
+#	cd $(ROOT)/lib  ; $(MAKE) clean
 
 #***************************************************************************************************
 # Calculate the size of the various sources making up this project
diff --git a/src/Makefile b/src/Makefile
index 2a847ff..4ff0fb3 100644
--- a/src/Makefile
+++ b/src/Makefile
@@ -100,7 +100,7 @@ BINDIR = $(ROOT)/bin
 #  -std=[C++NO]  The C++ standard to use where C++NO is eg. c++98, c++03, c++11, c++14, c++17, etc.
 ifeq ($(GSPICEUI_DEBUG),0)
   # Options for release (not using -Wall since it's GCC specific)
-  CXXFLAGS := -O3 -std=c++11 -pipe $(shell $(WXCFG) --cxxflags)
+  CXXFLAGS := -O3 -std=c++11 -pipe $(CXXFLAGS) $(shell $(WXCFG) --cxxflags)
 else
   # Options for development
   CXXFLAGS := -g -Og -std=c++11 -Wall -Wextra -Wpedantic -pipe $(shell $(WXCFG) --cxxflags)
@@ -199,7 +199,7 @@ $(OBJDIR)/%.o : %.cpp
 #   -o     specify the output file name
 
 $(BINDIR)/$(PROG) : $(OBJS)
-	$(LD) -pipe -o $(BINDIR)/$(PROG) obj/*.o $(LIBS)
+	$(LD) -pipe $(LDFLAGS) -o $(BINDIR)/$(PROG) obj/*.o $(LIBS)
 ifeq ($(ROOT)/GSpiceUI.app,$(wildcard $(ROOT)/GSpiceUI.app))
 	cp $(BINDIR)/$(PROG) $(ROOT)/GSpiceUI.app/Contents/MacOS/gspiceui
 endif
